Subject: bug#13935: 24.3.50; `fullscreen' frame parameter is wrong, on MS Windows at least

From: "Drew Adams" <[email-masked]>
Date: Fri, 15 Mar 2013 08:15:24 -0700

> > > That's correct only for some window managers, certainly not on
> > > Windows.
> > 
> > The doc should mention this, in that case.  Thx.
> 
> I'd like to change the manual text to say the following (only the last
> sentence was modified).  Can someone (Jan?) please verify that this is
> reasonably correct for all the window managers we support?  If not,
> what needs to be changed in the wording of the last sentence?
> 
>   Specify that width, height or both shall be maximized.  The value
>   @code{fullwidth} specifies that width shall be as wide as possible.
>   The value @code{fullheight} specifies that height shall be 
> as tall as
>   possible.  The value @code{fullboth} specifies that both 
> the width and
>   the height shall be set to the size of the screen.  The value
>   @code{maximized} specifies that the frame shall be maximized.  The
>   difference between @code{maximized} and @code{fullboth} is that the
>   former can still be resized by dragging window manager decorations
>   with the mouse, while the latter really covers the whole screen and
>   does not allow resizing by mouse dragging.

1. Your proposed text is OK by me.

2. You might (dunno) also want to say that whether or not all of the described
behavior is realized exactly as stated can depend on the window mgr.  IOW, as it
is written now, it says that Emacs will do something, and it does not exactly do
that in all cases.

E.g., as the bug report mentioned, the frame on MS Windows is (currently) not
"as wide as possible".  And on Windows fullboth is not "the size of the screen"
(because of the task bar and the width gap mentioned).

3. And as I said, it certainly is possible to get fullwidth on Windows to DTRT.
The frame-cmds.el code I pointed to uses the full screen width - no 0.5cm gap.
(And it allows for the accessible part of the screen, e.g., lets users exclude
or not the Windows task bar and Mac stuff - see function
`available-screen-pixel-bounds'.)

4. In spite of all that, if you want to close the bug after applying your
proposed manual text, it's OK by me.